=== debian/changelog ===
linphone (3.12.0-3) unstable; urgency=medium

  * Team upload.
  * Release to unstable
  * Remove obsolete build-dep libupnp-dev
  * Drop liblinphone9.symbols in favour of shlibs
  * Fix FTBFS with GCC-8

 -- Bernhard Schmidt <berni@debian.org>  Thu, 11 Oct 2018 00:17:15 +0200

linphone (3.12.0-2) experimental; urgency=medium

  * Drop unused libsrtp0-dev dependency (Closes: #787183)
  * Drop C++ symbols from liblinphone9.symbols
  * Adjust liblinphone-dev
    - Add libbellesip-dev dependency
    - Add liblinphone++9 dependency
    - Install LinphoneCxx cmake files

 -- Bernhard Schmidt <berni@debian.org>  Sat, 17 Feb 2018 23:49:47 +0100

linphone (3.12.0-1) experimental; urgency=medium

  [ Felix Lechner ]
  * Enabled LDAP; added Build-Depends: libldap2-dev, libsasl2-dev
  * Enabled Lime
  * Added upstream signing key
  * Added pgpsigurlmangle option to watch
  * Removed a URL from watch
  * Replaced Build-Depends: libcunit1-dev with libcunit1-ncurses-dev
  * Require higher version Build-Depend: libbellesip-dev (>= 1.4)
  * Removed duplicates from Build-Depends:
  * Updated Standards-Version: to 3.9.6
  * Made Vcs-Svn: canonical
  * Changed liblinphone7 package name to match SONAME
  * Changed libmediastreamer-base4 package name to match SONAME
  * Added lintian override for embedded srtp library (symbol conflict)
  * Fixed spelling errors
  * Removed /usr/share/gnome from installation dirs for linphone-common

  [ Mark Purcell ]
  * Update debian/watch
  * Fix "linphone Broken Vcs-Svn: header in debian/control"
    updated debian/control (Closes: #743652)
  * Add Build-Depends: polarssl, gsm1

  [ Tzafrir Cohen ]
  * Fix name of signature file in watch file.

  [ Johannes Schauer ]
  * remove patch hunks for mediastreamer2 because mediastreamer2 is no longer
    part of upstream tarball
  * remove build dependency on libpolarssl-dev
  * add build dependency on libbctoolbox-dev
  * add build dependency on libortp-dev (>= 1:0.24.0)
  * add build dependency on libmediastreamer-dev (>= 1:2.11.0)
  * bump dependency on libbellesip-dev to >= 1.4.2
  * remove libortp* and libmediastreamer* from source package as those
    packages moved to their own source packages, respectively
  * upstream renamed README to README.md -> adapt debian/*.docs
  * add build dependency on libmbedtls-dev
  * switch from autotools to cmake
  * rename liblinphone7 to liblinphone9, following upstream soname bump
  * debian/control: switch Vcs-* fields to https
  * debian/control: add Felix Lechner to Uploaders
  * debian/control: bump Standards-Version (no changes required)
  * debian/rules: Use hardening=+all
  * remove lintian-dbg package in favour of automatically generated dbgsym
    package
  * remove debian/linphone.menu as package already provides .desktop file
  * add a patch adding the Keywords entry to the linphone.desktop file
  * add a patch regenerating png images from their svg sources
  * add a patch to update rootca.pem with a more recent version from mozilla
  * run wrap-and-sort -abt
  * change debian/copyright to use DEP5 (Machine-readable debian/copyright)
  * add a patch to build linphone without attempting to download from mozilla
  * add a debian/README.source

  [ Dr. Tobias Quathamer ]
  * New upstream version 3.12.0
    - Fixes "New upstream version available" (Closes: #743474, #889161)
    - Add new Build-Depends: libbelcard-dev, graphviz, libbelr-dev,
      python-pystache, python-six
    - Refresh patches
  * Update d/watch to new github location
  * Update d/copyright
  * Wrap d/rules and add ENABLE_ROOTCA_DOWNLOAD=NO
  * Add more files to d/liblinphone-dev.install
  * Remove patch offline-mode, should not be needed anymore
  * Disable spelling errors patch for now
  * Use debhelper's dbgsym-migration
  * Update Build-Depends: xxd moved from vim-common to xxd.
    Thanks to Helmut Grohne <helmut@subdivi.de> (Closes: #887381)
  * Switch Vcs-URLs to salsa.d.o (Closes: #855421)

  [ Bernhard Schmidt ]
  * Build legacy GTK UI
  * Create empty coreapi/liblinphone_gitversion.h to fix FTBFS
  * New binary package liblinphone++9

 -- Bernhard Schmidt <berni@debian.org>  Thu, 15 Feb 2018 23:03:32 +0100
