=== debian/control ===
Source: linphone
Section: sound
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>,
           Kilian Krause <kilian@debian.org>,
           Tzafrir Cohen <tzafrir@debian.org>,
           Felix Lechner <felix.lechner@gmail.com>,
           Dr. Tobias Quathamer <toddy@debian.org>,
Build-Depends: cmake (>= 3.0),
               debhelper (>= 11),
               doxygen,
               graphviz,
               intltool,
               libasound2-dev [linux-any],
               libatk1.0-dev,
               libavcodec-dev (>= 6:10~),
               libavutil-dev (>= 6:10~),
               libbctoolbox-dev,
               libbelcard-dev,
               libbellesip-dev (>= 1.4.2),
               libbelr-dev,
               libbzrtp-dev,
               libcairo2-dev,
               libcunit1-ncurses-dev,
               libfontconfig1-dev,
               libfreetype6-dev,
               libgdk-pixbuf2.0-dev,
               libglade2-dev,
               libglew-dev,
               libglib2.0-dev,
               libgsm1-dev,
               libgtk2.0-dev,
               libldap2-dev,
               libmbedtls-dev,
               libmediastreamer-dev (>= 1:2.11.0),
               libncurses5-dev,
               libnotify-dev,
               libogg-dev,
               libopus-dev,
               libortp-dev (>= 1:0.24.0),
               libpango1.0-dev,
               libpcap-dev,
               libpulse-dev,
               libreadline-dev,
               libreadline6-dev,
               librsvg2-bin,
               libsasl2-dev,
               libsdl1.2-dev,
               libsoup2.4-dev,
               libspandsp-dev,
               libspeex-dev,
               libspeexdsp-dev,
               libsqlite3-dev,
               libswscale-dev (>= 6:10~),
               libtheora-dev,
               libtiff-dev,
               libtool,
               libudev-dev [linux-any],
               libv4l-dev [linux-any],
               libvpx-dev,
               libxext-dev,
               libxml-parser-perl,
               libxv-dev,
               mesa-common-dev,
               pkg-config,
               python-pystache,
               python-six,
               sgmltools-lite,
               xxd,
Standards-Version: 3.9.8
Homepage: http://www.linphone.org/
Vcs-Browser: https://salsa.debian.org/pkg-voip-team/linphone
Vcs-Git: https://salsa.debian.org/pkg-voip-team/linphone.git

Package: liblinphone-dev
Section: libdevel
Depends: liblinphone9 (= ${binary:Version}),
         liblinphone++9 (= ${binary:Version}),
         libbellesip-dev (>= 1.4.2),
         libmediastreamer-dev,
         libortp-dev,
         ${misc:Depends},
Architecture: any
Description: Linphone web phone's library - development files
 Linphone is an audio and video internet phone using the SIP protocol. It
 has a GTK+ and console interface, includes a large variety of audio and video
 codecs, and provides IM features.
 .
 This package contains the files needed to use the linphone's library in your
 programs.

Package: liblinphone9
Section: libs
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Description: Linphone's shared library part (supporting the SIP protocol)
 Linphone is an audio and video internet phone using the SIP protocol. It
 has a GTK+ and console interface, includes a large variety of audio and video
 codecs, and provides IM features.
 .
 This package contains the shared runtime libraries.

Package: liblinphone++9
Section: libs
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends},
         ${shlibs:Depends},
Architecture: any
Multi-Arch: same
Description: Linphone's shared library part (supporting the SIP protocol)
 Linphone is an audio and video internet phone using the SIP protocol. It
 has a GTK+ and console interface, includes a large variety of audio and video
 codecs, and provides IM features.
 .
 This package contains the C++ shared runtime libraries.

Package: linphone
Architecture: any
Depends: linphone-nogtk (=${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Suggests: yelp,
Description: SIP softphone - graphical client
 Linphone is an audio and video internet phone using the SIP protocol. It
 has a GTK+ and console interface, includes a large variety of audio and video
 codecs, and provides IM features.
 .
 The main features of linphone are:
   - a nice graphical interface;
   - it includes a large variety of codecs with different quality / bandwidths;
   - it uses the well-known and standardised SIP protocol.

Package: linphone-common
Depends: ${misc:Depends},
Architecture: all
Description: Shared components of the linphone SIP softphone
 Linphone is an audio and video internet phone using the SIP protocol. It
 has a GTK+ and console interface, includes a large variety of audio and video
 codecs, and provides IM features.
 .
 This package contains the resource files of linphone (the rings).

Package: linphone-nogtk
Depends: host,
         liblinphone9 (= ${binary:Version}),
         linphone-common (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Architecture: any
Description: SIP softphone - console-only client
 Linphone is an audio and video internet phone using the SIP protocol. It
 has a GTK+ and console interface, includes a large variety of audio and video
 codecs, and provides IM features.
 .
 This package contains the console version of linphone.
